Subject: Re: [JGIT PATCH 1/3] Changed Transport class hierarchy basing on underlying transport

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 17 Apr 2009 07:58:46 -0700

Constantine Plotnikov <[email-masked]> wrote:
> Instead of WalkTransport and PackTransport the transports
> are now using SshTransport, TcpTransport, and HttpTransport,
> indicating the type of basic underlying protocol is dealt
> with. This lays groundwork for supplying transport specific
> properties in the future. The WalkTransport and PackTransport
> are now marker interfaces.

The entire patch looks fine.  Except its corrupted by line wrapping
by your MUA.  Can you please resend without using format-flawed ?
:-)
 
>  .../spearce/jgit/transport/BasePackConnection.java |    8 +-
>  .../jgit/transport/BasePackFetchConnection.java    |    4 +-
>  .../jgit/transport/BasePackPushConnection.java     |    4 +-
>  .../jgit/transport/BundleFetchConnection.java      |  247 ++++++++++++++++++++
>  .../org/spearce/jgit/transport/HttpTransport.java  |   62 +++++
>  .../org/spearce/jgit/transport/PackTransport.java  |   12 +-
>  .../org/spearce/jgit/transport/SshTransport.java   |   62 +++++
>  .../org/spearce/jgit/transport/TcpTransport.java   |   62 +++++
>  .../spearce/jgit/transport/TransportAmazonS3.java  |    2 +-
>  .../spearce/jgit/transport/TransportBundle.java    |  227 +-----------------
>  .../jgit/transport/TransportBundleFile.java        |   16 ++-
>  .../jgit/transport/TransportBundleStream.java      |   11 +-
>  .../spearce/jgit/transport/TransportGitAnon.java   |    2 +-
>  .../spearce/jgit/transport/TransportGitSsh.java    |    2 +-
>  .../org/spearce/jgit/transport/TransportHttp.java  |    9 +-
>  .../org/spearce/jgit/transport/TransportLocal.java |    2 +-
>  .../org/spearce/jgit/transport/TransportSftp.java  |    2 +-
>  .../jgit/transport/WalkFetchConnection.java        |    3 +-
>  .../spearce/jgit/transport/WalkPushConnection.java |    5 +-
>  .../org/spearce/jgit/transport/WalkTransport.java  |   21 +--
>  20 files changed, 497 insertions(+), 266 deletions(-)
>  create mode 100644
> org.spearce.jgit/src/org/spearce/jgit/transport/BundleFetchConnection.java
>  create mode 100644
> org.spearce.jgit/src/org/spearce/jgit/transport/HttpTransport.java
>  create mode 100644
> org.spearce.jgit/src/org/spearce/jgit/transport/SshTransport.java
>  create mode 100644
> org.spearce.jgit/src/org/spearce/jgit/transport/TcpTransport.java

-- 
Shawn.